Export audit
Requests
HTTP request
GET /v1/kubernetes-audits/export
Export the audit search result to file, cookie required
Query parameters
| Name | Type | Required | Description |
|---|---|---|---|
| start_time | number | True | timestamp of start time range |
| end_time | number | True | timestamp of end time range |
| size | number | True | page size |
| pageno | number | True | request page number |
| cluster | string | True | name of cluster |
| file_type | string | True | type of the exported file, choices: csv, txt |
| scope | string | False | scope of audit, choices: all, user, system |
| user_name | string | False | Username of audit creator |
| resource_name | string | False | name of audit target object |
| resourcce_type | string | False | kind of audit target object |
| operation_type | string | False | operation types, create, update, delete and so on |
| scope | string | False | scope of audit, choices: all, user, system |
| source_ip | string | False | ip address of source audit request |
| response_status | string | False | response status, choices: Success, Failure |
Responses
Content-Type
application/octet-stream
Status code: 200
OK